GPROLOG(1)

NAME
gprolog - prolog interpreter and native code compiler

SYNOPSIS
gprolog
gplc [options] [ filename ]

DESCRIPTION
GNU Prolog (gprolog) is a prolog interpreter and compiler to native code. In its basic form, gprolog starts an interactive Prolog interpreter. The gplc command compiles Prolog sources into object files, which may be linked to produce a stand-alone executable. See the GNU Prolog manual (online) for how to use gprolog and gplc for writing Prolog programs.

OPTIONS

--help
    Print a summary of allowable options.

filename
    (for gplc) compile the specified file.

ENVIRONMENT

TRAILSZ
    Size of the trail stack, needed to effect backtracking (undo bindings), defaults to 2097152 (2MB).

CSTRSZ
    Size of the constraints stack, defaults to 2097152 (2MB).

GLOBALSZ
    Size of the global stack, also known as the heap, defaults to 4194304 (4MB).

LOCALSZ
    Size of the local stack, defaults to 2097152 (2MB).

SEE ALSO
The YAP manual is available on a debian system in the gprolog-doc package, as the PDF file /usr/share/doc/gprolog-doc/gprolog.pdf and as an html document at the URL http://gprolog.org/manual/html_node/

AUTHOR
GNU Prolog is written and maintained by Daniel Diaz.

This manual page was compiled by Salvador Abreu <spa@debian.org>, based on the page for Yap Prolog written by Ralf Treinen <treinen@debian.org>.

COPYRIGHT
Since this manpage is derived from the GNU Prolog manual it is subject to its licence, which is either the standard GPL-3 or LGPL-3 (dual-licensed). Refer to the text of these licenses in a debian system in the directory /usr/share/common-licences